Name:    bcunit
Version: 5.2.0
Release: 1%{?dist}
Summary: Provide C programmers basic testing functionality
License: LGPL-2.0-or-later
URL:     https://gitlab.linphone.org/BC/public/bcunit/

Source0: https://gitlab.linphone.org/BC/public/bcunit/-/archive/%{version}/%{name}-%{version}.tar.gz

Patch3001: 3001_bcunit_set_current_version.patch
Patch3002: 3002_bcunit_sover.patch
Patch3003: 3003_bcunit_change_cmake_files_default_install_location.patch
Patch3004: 3004_bcunit_ncurses_fix_error_format_security.patch

BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gcc
BuildRequires: pkgconfig(ncurses)

%description
BCUnit is a unit testing framework for C, derived from CUnit.
(B)CUnit provides various interfaces to the framework, some of which
are platform dependent (e.g. curses on *nix). The framework complies
with the conventional structure of test cases bundled into suites
which are registered with the framework for running.

%package devel
Summary: BCUnit development files
Requires: %{name} = %{version}-%{release}

%description devel
BCUnit is a unit testing framework for C.
This package installs the BCUnit development files.

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_STATIC=OFF \
  -DENABLE_CURSES=ON \
  -DENABLE_DOC=ON \
  -DENABLE_TEST=OFF \
%if 0%{?testing_build}
  -DENABLE_EXAMPLES=ON
%endif
%cmake_build

%install
%cmake_install

%files
%license COPYING
%{_libdir}/libbcunit.so.1*

%files devel
%doc AUTHORS ChangeLog NEWS README.md TODO
%license COPYING
%{_includedir}/BCUnit/
%{_libdir}/libbcunit.so
%{_libdir}/cmake/BCunit/
%{_libdir}/pkgconfig/bcunit.pc
%{_datadir}/BCUnit/
%{_docdir}/BCUnit/
%{_mandir}/man3/BCUnit.3*

%changelog
* Tue Jul 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-1
- initial build
